table.table-csv {
  width: 100% !important;
  table-layout: fixed;
  border-collapse: collapse;
}
table.table-csv thead {
  text-align: center;
/*  font-size: 1.15em;*/
  text-transform: uppercase;
  background-color: #aaa;
  color: #fff;
}

table.table-csv td {
  height: 50px;
  padding: 10px;
/*  box-sizing: border-box;*/
}

table.table-csv .table-striped tbody tr:nth-of-type(odd) {
	background-color: #ddd !important;
}

@media all and (max-width: 600px) {
  table.table-csv * {
    display: block;
  }
  table.table-csv thead {
    display: none;
  }
  table.table-csv td::before {
    display: block;
    content: attr(data);
    text-transform: uppercase;
    padding: 5px 0;
	font-weight: bold;
  }
  table.table-csv td {
    border-right: none !important;
	height: auto;
	border-top: none;
  }
  table.table-csv tr {
/*    border-top: 1px solid #888;*/
  }
  table.table-csv tr:nth-child(even) .td {
/*    background-color: #333;*/
/*    color: white;*/
  }
  table.table-csv tr:nth-child(even) td {
/*	background-color: #999;*/
  }
}

/* TABLE RESPONSIVE A - FUNCTION - */
table.responsive {
  width: 100% !important;
  table-layout: fixed;
  border-collapse: collapse;
}

table.responsive thead {
/*  text-align: center;*/
/*  font-size: 1.15em;*/
/*  text-transform: uppercase;*/
  background-color: #aaa;
  color: #fff;
}

table.responsive td {
  height: 50px;
  padding-top: 10px;
  line-height: 0.95rem;
/*  box-sizing: border-box;*/
}

table.responsive .table-striped tbody tr:nth-of-type(odd) {
	background-color: #ddd !important;
}

table.staff * {
	border: 0px;
}

main.basic-page-staff div[class*='section-'] {
	border-top: 1px solid #ccc;
	padding-top: 15px;
}

@media all and (max-width: 992px) {
    
  table.responsive * {
    display: block;
  }    

  table.responsive thead {
    display: none;
  }

  table.responsive tr {
	  border: 1px solid #ccc;
	  margin-bottom: 10px;
  }
	
  table.staff.responsive tr {
	  border: none;
	  margin-bottom: 10px;
  }
	
  table.responsive td {
	  text-align: right;
	  border-right: none !important;
	  height: auto;
	  border-top: none;
	  width: 100%;
	  border-bottom: 1px solid #eee; 
  }

  table.staff.responsive td {
	  text-align: left;
	  border-right: none !important;
	  height: auto;
	  border-top: none;
	  width: 100%;
	  border-bottom: 1px solid #eee; 
  }

   table.responsive td::before {
  	  position: absolute;
  	  text-align: left;
  	  left: 25px;
      display: inline;
      content: attr(data);
  /*    text-transform: uppercase;*/
  /*    padding-top: 5px;*/
  }


	table.responsive td:nth-of-type(1) {
		background: #ccc;
		font-weight: bold;
		text-transform: uppercase;
		}
	table.staff.responsive td:nth-of-type(1) {
		background: unset;
		font-weight: unset;
		text-transform: unset;
		}	
	
}

/* TABLE VISTA FULL CHILD
-------------------------- */
table.fullchild {
    word-wrap: normal !important;
}

table.fullchild .ft-table-col {
    width: auto !important; 
}

table.fullchild {
    width: 100%; 
    border-collapse: collapse; 
    margin-bottom: 1.5em;  
}

table.fullchild thead tr {
	background: #ccc;
}


@media 
only screen and (max-width: 760px),
(min-device-width: 768px) and (max-device-width: 1024px)  {
    
    table.fullchild td{
    text-align: left;
    }

	/* Force table to not be like tables anymore */
	table.fullchild, table.fullchild thead, table.fullchild tbody, table.fullchild th, table.fullchild td, table.fullchild tr { 
		display: block; 
		text-align: left;
	}
	
	/* Nascondo table headers (but not display: none;, for accessibility) */
	table.fullchild thead tr { 
		position: absolute;
		top: -9999px;
		left: -9999px;
	}
	
	table.fullchild tr { border: 1px solid #ccc; margin-bottom: 10px;}
	
	table.fullchild td { 
		/* Behave  like a "row" */
		border: none;
		border-bottom: 1px solid #eee; 
		position: relative;
		padding-left: 50%; 
	}
	
	table.fullchild td:before { 
		/* Now like a table header */
		position: absolute;
        text-align: left; 
		/* Top/left values mimic padding */
		top: 12px;
		left: 6px;
		width: 45%; 
		padding-right: 10px; 
		white-space: nowrap;
	}
    
    table.fullchild td {
          text-align: left !important; 
    }

	table.fullchild td:nth-of-type(1) {
		background: #ccc;
		font-weight: bold;
/*
		text-transform: uppercase;
*/
		}
	
	table.fullchild td:last-of-type {
		font-weight: bold;
		background-color: #ffa50015;		
	}    
    /*
	Label the data: prende l'attribute data inoculato dinamicamente nella generazione della profield table
	*/
	table.fullchild td::before {
 		content: attr(data);
	}

table.table.balance td {
 text-align: left !important;	
}	
	
}



/* TABLE IN CKEDITOR
-------------------------- */


table.ckeditor {
    word-wrap: normal !important;

}
table.ckeditor, table.ckeditor td, table.ckeditor th{
	border: 0px !important;
}

table.ckeditor .ft-table-col {
    width: auto !important; 
}

table.ckeditor {
    width: 100%; 
    border-collapse: collapse; 
    margin-bottom: 1.5em;  
}

table.ckeditor thead tr {
	background: #ccc;
}


@media 
only screen and (max-width: 760px),
(min-device-width: 768px) and (max-device-width: 1024px)  {


	/* Force table to not be like tables anymore */
	table.ckeditor, table.ckeditor thead, table.ckeditor tbody, table.ckeditor th, table.ckeditor td, table.ckeditor tr { 
		display: block; 
		text-align: left;
	}
	
	/* Nascondo table headers (but not display: none;, for accessibility) */
	table.ckeditor thead tr { 
		position: absolute;
		top: -9999px;
		left: -9999px;
	}
	
	table.ckeditor tr { border: 1px solid #ccc; margin-bottom: 10px;}
	
	table.ckeditor td { 
		/* Behave  like a "row" */
        text-align: left; 
		border: none;
		border-bottom: 1px solid #eee; 
		position: relative;
/*		padding-left: 50%; */
	}
	
	table.ckeditor td:before { 
		/* Now like a table header */
		position: absolute;
        text-align: left; 
		/* Top/left values mimic padding */
		top: 6px;
		left: 6px;
		width: 45%; 
		padding-right: 10px; 
		white-space: nowrap;
	}

	table.ckeditor td:nth-of-type(1) {
		background: #ccc;
		font-weight: bold;
		text-transform: uppercase;
		}
    
    /*
	Label the data: prende l'attribute data inoculato dinamicamente nella generazione della profield table
	*/
	table.ckeditor td::before { content: attr(data); font-weight: bold;}

}


/*   SINGLE ROW RESPONSIVE TABLE FOR IN-BODY TABLES  */
@media (max-width: 767px){
/* Force table to not be like tables anymore */
	
	table.single-row td { 
		display: block; 
		/* Behave  like a "row" */
		border: none;
		border-bottom: 1px solid #eee;
		padding: 10px;
		width: 100% !important;
	}
}